Status: Open Start date: 25 Jul 2011
Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

External issue:    

Description

A form could be added to the administration panel allowing to select user custom field, specify an icon and add it to the author box.

History

#1 - 07 Sep 2011 11:42 - Andriy Lesyuk

- Target version set to 0.0.3

#2 - 08 Sep 2011 07:26 - Andriy Lesyuk

- Assignee set to Andriy Lesyuk

- Target version changed from 0.0.3 to 1.0.0

Decided to postpone the task... The task would also need some kind of Redmine Administration Settings Hook plugin (similar to Project Settings Hook

plugin)...

#3 - 30 Oct 2011 11:40 - Andriy Lesyuk

- Target version changed from 1.0.0 to 0.1.0

#4 - 04 Feb 2012 15:50 - Andriy Lesyuk

In new version an author box will have icons panel. The plugin should allow putting custom fields of types “Link” and “URL” (provided by Eric Davis

plugin) there...

The configuration form will let choosing:

Icon (should be uploaded)

Field (from list)

If neither “Link” nor “URL” type is available the form should not be shown.

Need also to check if Eric’s URL is able to return just URL (not HTML)...

#5 - 04 Feb 2012 15:51 - Andriy Lesyuk

While above suggestion solves icons problem the issue with company name and position in author box (provided by the Extended Profile plugin)

remains unresolved... Right now Extended Profile relies on custom field names what makes it totally unflexible. The idea is to add a form in

Administration panel allowing to specify not only icons but some other fields as well.

Saying dialog may allow:
projects.andriylesyuk.com/projects/redmine-settings
https://github.com/edavis10/redmine_url_custom_field
https://github.com/edavis10/redmine_url_custom_field
http://projects.andriylesyuk.com/project/redmine/extended-profile
http://projects.andriylesyuk.com/project/redmine/extended-profile


Choosing a text custom field to be displayed on the author box

Optionally choosing a link for this text custom field (will require “Link” or “URL” custom field types)

Any number of such fields can be specified

#6 - 20 Sep 2012 20:38 - Andriy Lesyuk

- Target version changed from 0.1.0 to 1.0.0
